oceSetData {oce} | R Documentation

## Set something in the `data` slot of an `oce` object

### Description

Set something in the `data` slot of an `oce` object

### Usage

    oceSetData(object, name, value, unit, originalName, note = "")

### Arguments

`object` | an `oce` object
`name` | String indicating the name of the item to be set.
`value` | Value for the item.
`unit` | An optional list specifying units for the item, containing an element named `unit` that is an `expression`, and a string named `scale` that describes the scale used. For example, modern temperatures have `unit=list(unit=expression(degree*C), scale="ITS-90")`.
`originalName` | Optional character string giving an 'original' name (e.g. as stored in the header of a data file).
`note` | A note to be stored in the processing log. If an empty string (the default) then an entry will be constructed from the function call. If `NULL`, then no entry will be added to the processing log.

[Package oce version 0.9-20 Index]